> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/private-endpoints/deposits/get-withdrawal/fiat-by-id.md).

# Fiat by ID

#### `GET /withdrawals/fiat_accounts/:id` <a href="#get-withdrawals-fiat_accounts-id" id="get-withdrawals-fiat_accounts-id"></a>

```
const getFiatWithdrawalAccounts = () => {
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/withdrawals/fiat_accounts/:id' + '{}'
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.get(
    'https://api.ndax.in/withdrawals/fiat_accounts/:id',
    options
  )
}
```

> Sample Response

```
{
  "message": {
    "withdrawal_account_id": 286,
    "name": "Primary (1234)",
    "status": "PENDING_CREATION",
    "asset": "e₹",
    "limit": 750000,
    "type": "DOMESTIC_FIAT",
    "beneficiary_name": "Ramesh Sahu",
    "account_number": "1231234",
    "bank_name": "Kotak Mahindra,
    "routing_number": "07102343",
    "swift_code": null,
    "recipient_instructions": null,
    "intermediary_bank_name": null,
    "intermediary_bank_code_type": null,
    "intermediary_bank_code": null,
    "intermediary_bank_account_number": null,
    "correspondent_bank_name": null,
    "correspondent_bank_code_type": null,
    "correspondent_bank_code": null,
    "correspondent_bank_account_number": null,
    "last_update": 1571175076187,
    "participant_code": "ABCDEF"
  }
}
```

Returns a specific fiat withdrawal account associated with your participant or platform.

See [GET /withdrawals/fiat\_accounts](https://zerohash.com/api/web/?javascript#get-withdrawals-fiat_accounts) for response field descriptions.

**Withdrawal Request Status**

| Status   | Description                                                                  |
| -------- | ---------------------------------------------------------------------------- |
| PENDING  | The request has been created and is pending approval from users              |
| APPROVED | The request is approved but not settled                                      |
| REJECTED | The request is rejected and in a terminal state                              |
| SETTLED  | The request was settled and sent for confirmation onchain if a digital asset |

**Withdrawal Account Status**

| Status            | Description                                                                                       |
| ----------------- | ------------------------------------------------------------------------------------------------- |
| PENDING\_CREATION | Account is awaiting approval                                                                      |
| APPROVED          | The account is approved for use                                                                   |
| REJECTED          | The account was rejected for use                                                                  |
| DELETED           | The account was deleted, removing it from view in the portal                                      |
| PENDING\_CHANGE   | `DEPRECATED` The address is awaiting a change approval for either unlocking or changing the limit |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/deposits/get-withdrawal/fiat-by-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
